{% extends 'base.html' %}
{% block title %}Страница оплаты{% endblock %}
{% block content %}
<hr>
    <div class="col-sm-6">
        <h3>Оплата # {{ history.id }}</h3>
        <hr>
        <h5>Дата создания оплаты: {{ history.payment_date }}</h5>
        <hr>
        <h5>Цена: {{ history.total_price }}</h5>
        <hr>
        <h5>Пользователь: {{ history.user.first_name }} {{ history.user.last_name }}</h5>
        {{ history.user.image_tag }}
        <hr>
        {% if history.status is 1 %}
            <h5 >Статус: В ожидании</h5>
            <button class="btn btn-pay col-sm-6 mt-3" onclick="pay()">Отменить</button>
        {% elif history.status is 2 %}
            <h5 >Статус: Оплата прошла</h5>
            <button class="btn btn-pay col-sm-6 mt-3" onclick="pay()">Отменить</button>
        {% elif history.status is 3 %}
            <h5 >Статус: <span class="error">Отменено</span></h5>
             <a class="btn btn-primary col-sm-6 mt-3" href="/">На главную</a>
        {% endif %}

    </div>
{% endblock %}
{% block script %}
    <script>
    if('{{ history.status }}'==='1'){
        setTimeout(function(){ location.reload();}, 3000);
    }
    function pay(){
            var result = confirm("Подтверждаете свой выбор?");

            if (result == true) {
                $.ajax({
                    type: 'patch',
                    url: '{% url 'paymentControl' %}',
                    data: JSON.stringify({id: "{{ history.id }}"})
                }, ).done(function(s) {
                    console.log('s', s)
                      window.location.replace("/")
                    });
            } else {
                console.log('canceled')
                console.log('canceled')
            }

        }
    </script>
{% endblock %}